<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
 <head>
  <title> quickTip Jquery Tooltip Plugin - www.amitpatil.me </title>
  <script src="jquery-1.7.1.min.js"></script>
  <script src="jquery.quicktip.js"></script>
  <script src="jquery.snippet.js"></script>
  <link rel="stylesheet" href="jquery.snippet.css">
  <script>
	$(document).ready(function(){
		$(".tip").quicktip();
		
		$(".elements").quicktip();
		
		$(".htmltip1").quicktip({
			type     : "html",
			effect   : "slide",
			width    : "300px",
			cssclass : "customgreen"
		});
		
		$(".htmltip2").quicktip({
			type : "html",
			width: "auto"
		});

		$(".pageload").quicktip({
			type : "externalpage",
			url  : "ajax.html"
		});
		
		$(".ajax").quicktip({
			type : "externalpage",
			url  : "ajax.php"
		});
		
		$(".video").quicktip({
			type : "html",
			width: "auto"
		});

		// Code hilighter
		$("pre.html").snippet("html",{style:"nedit",collapse:true});
		$("pre.js").snippet("javascript",{style:"nedit",collapse:true});
	});
  </script>
  <style>
	  body{
		font-family: verdana,Arial,sans-serif;
		font-size: 15px;
		color: #3F3F3F;
	  }
	  body a,a:visited{
		color: #4A4ED5;
	  }
	  .heading{
		font-weight: bold;
		font-size: 16px;
		padding: 2px 5px;
		border-bottom: 1px solid #6A6A6A;
		color: #226AE3;
		margin: 5px 0px;
	  }
	   .customClass{
			background: #94D3E9 !important;
			border: 2px solid #46B5D9 !important;
			box-shadow: 1px 1px 2px #9CD8EB;
			color: #454545 !important;
	   }
	   .customgreen{
			background: #A0D856 !important;
			border: 1px solid #88A760 !important;
			color: #454545 !important;
	   }
	   .box{
			padding: 5px;
	   }
  </style>
 </head>
 <body>
    <h1>quickTip Jquery Tooltip Plugin</h1><hr>
	<div class="heading">Simple Tooltip</div>

	jQuery is a fast and concise <a href="#" class="tip" title="JavaScript is the most popular scripting language in the world. It is the standard language used in web pages, but it is also widely used by desktop apps">JavaScript</a> Library that simplifies HTML document traversing, event handling, animating, and Ajax interactions for rapid web development. jQuery is designed to change the way that you write JavaScript. <br><br>
	quickTip on input elements :<br>
	<input type="text" name="name" class="tip" title="Here is the tip on input elements" value="Mouseover here !"><br><br>
	<input type="checkbox" name="name" class="tip" title="Here is the tip on checkbox elements"> This is checkbox<br><br>
	<img src="jqlogo.png" class="tip" title="Here is the tip on img elements"><br><br>

	<b>HTML</b>
	<pre class="html">jQuery is a fast and <br>concise &lt;a href="#" class="tip" title="JavaScript is the most popular scripting language in the world. It is the standard language<br> used in web pages, but it is also widely used by desktop apps"&gt;JavaScript&lt;/a&gt; Library that simplifies HTML document traversing,<br> event handling, animating, and Ajax interactions for rapid web development. jQuery is designed to change the way that you <br> write JavaScript.</pre>
	<b>javaScript</b>
	<pre class="js">$(".tip").quicktip();</pre>
	
	
	<div class="heading">HTML content Tooltip with custom css</div>
	If you plan to develop more <a href="#target1" class="htmltip1">JavaScript</a><br><br>
	<b>HTML</b>
	<pre class="html">If you plan to develop more &lt;a href="#target1" class="htmltip1"&gt;JavaScript&lt;/a&gt;</pre>
	<b>HTML for tooltip</b>
	<pre class="html">&lt;div id="target1"&gt;<br>&lt;img src="jqlogo.png" style="float:left;padding-right:5px;" width="100px" height="100px"&gt;jQuery is a multi-browser JavaScript library <br>designed to simplify the client-side scripting of HTML.It was released in January 2006 at BarCamp NYC by John Resig....&lt;/div&gt;	</pre>
	<b>javaScript</b>
	<pre class="js">$(".htmltip1").quicktip({
  type     : "html",
  effect   : "slide",
  width    : "300px",
  cssclass : "green"
});</pre>

	<div class="heading">Ajax contents example</div>
	Mouseover the link given to load the tip contents from another page <a href="#" class="pageload">Load Ajax Contents</a><br><br>
	<b>javaScript</b>
	<pre class="js">		$(".pageload").quicktip({
			type : "externalpage",
			url  : "ajax.html"
		});</pre>

	One more example which loads <a href="#" class="ajax">server time</a> from "ajax.php" file. Same javascript is used for this server time demo tooltip example, the only difference is we have changed the "url" option to ajax.php.<br><br>
	
	<div id="target1"><img src="jqlogo.png" style="float:left;padding-right:5px;" width="100px" height="100px">jQuery is a multi-browser JavaScript library <br>designed to simplify the client-side scripting of HTML.It was released in January 2006 at BarCamp NYC by John Resig</div>

	<div class="heading">Media as a tooltip</div>
	Quicktip also supports media contents to be used as a tooltip contents. <br>See this <a href="#youtube" class="video">example</a>
	
	<div id="youtube">
		<iframe width="560" height="315" src="http://www.youtube.com/embed/AYrzEWhvajY" frameborder="0" allowfullscreen></iframe>
	</div>
	
	<div style="height: 500px;"></div>
 </body>
</html>