/*!
 * jQuery quicktip plugin v1.0
 *
 * Date: Sunday Sep 01 2012
 * Requires: jQuery v1.3+
 *
 * Copyright 2012, Amit Patil (http://www.amitpatil.me)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 *
 *
 * Details Page at http://www.amitpatil.me/quicktip-jquery-tooltip-plugin
 *
*/
 
 var contents = "";
 (function($){
    $.fn.extend({
        quicktip : function(options){
            var defaults = {
                type	  : "plain",
                url	      : "",
                height	  : "auto",
                width	  : "200px",
                effect	  : "fade",
                cssclass  : ""
			};
            options = $.extend(defaults, options);		
			
			var type		= options.type;
			var height	    = options.height;
			var width	    = options.width;
			var url			= options.url;
			var effect		= options.effect;
			var cssclass	= options.cssclass;
			
			$('body').append('<div class="quicktip"></div>');
			
			return this.each(function() {
				var obj = $(this);
				
				// hide respective tip contents holder
				var holder = obj.attr("href");
				$(holder).css("display","none");

				obj.mouseenter(function(e){
				
				  $(document).find(".quicktip")
				  .css("border","2px solid #FFEC80")
				  .css("color","#515151")
				  .css("background","#FFF6C3")
				  .css("padding","5px")
				  .css("position","absolute")
				  .css("display","none")
				  .css("border-radius","10px")
				  .css("border-top-left-radius","0px")
				  .css("width","200px")
				  .css("font-size","12px")
				  .css("font-family","verdana")
				  .css("box-shadow","1px 1px 2px #8D8D8D")
				  .css("left",parseInt(e.pageX + 20))
				  .css("top",parseInt(e.pageY + 15))
				  .css("width",width)
				  .css("height",height);

				  if(cssclass != ""){
					$(document).find(".quicktip").addClass(cssclass);
				  }

				  switch(effect){
					case "fade":
						$(document).find(".quicktip").fadeIn("fast");
					break;
					case "slide":
						$(document).find(".quicktip").slideDown("fast");
					break;
				  }

				  var holder = obj.attr("href");
				  switch(type){						
					case 'plain':
						contents = obj.attr("title");
					break;
					case 'html':
						contents = obj.attr("href");
						contents = $(contents).html();
					break;
					case 'externalpage':
						$(document).find(".quicktip").html("Loading...");
						contents = $.ajax({
										url: url,
										async: false
								   }).responseText;
					break;
				  }

				  obj.removeAttr("title");

				  $(document).find(".quicktip").html(contents)
				
				});
				
				obj.mouseleave(function(e){
				  obj.attr("title",contents);
				  switch(effect){
					case "fade":
						$(document).find(".quicktip").fadeOut("fast",function(){
							$(document).find(".quicktip").removeClass(cssclass);
						});
					break;
					case "slide":
						$(document).find(".quicktip").slideUp("fast",function(){
							$(document).find(".quicktip").removeClass(cssclass);
						});
					break;
				  }
				});

			});
		}
	});
 })(jQuery);